using Godot;
using System;

public class PlayerBase : RigidBody
{
	[Export] public Texture image;
	[Export] public float dv = 1f;
	
    public override void _Ready() {
		GD.print("PlayerBase _Ready()");
		SetPhysicsProcess(true);
    }


	public override void _PhysicsProcess(float dt) {
        bool move_left = Input.IsActionPressed("ui_left");
        bool move_right = Input.IsActionPressed("ui_right");

		Vector3 v = GetLinearVelocity();

		if (move_left) {
			v.x -= dv;
		} else if (move_right) {
			v.x += dv;
		}

		SetLinearVelocity(v);
	}
}
